LIBKECCAK_HMAC_MARSHAL(3)

NAME
libkeccak_hmac_marshal - Marshals an HMAC-hashing state

SYNOPSIS
#include <libkeccak.h>
size_t libkeccak_hmac_marshal(const struct libkeccak_hmac_state *state, void *data);

Link with -lkeccak.

DESCRIPTION
The libkeccak_hmac_marshal() function marshals *state into the beginning of data.

Specific NULL as data to get minimum usable allocation size for data.

RETURN VALUES
The libkeccak_hmac_marshal() returns the number of bytes written to data.

ERRORS
The libkeccak_hmac_marshal() function cannot fail.

SEE ALSO
libkeccak_hmac_unmarshal(3)